security/polkit-qt - The NetBSD Packages Collection

Qt Wrapper around PolicyKit

Polkit-qt aims to make it easy for Qt developers to take advantage of
PolicyKit API. It is a convenience wrapper around QAction and QAbstractButton
that lets you integrate those two components easily with PolicyKit.

Polkit-qt is splitted in two libraries: polkit-qt-core and polkit-qt-gui.

polkit-qt-core lets you control actions and authentication without a GUI,
with some very simple functions. It also lets you retrieve and control useful
informations on the PolicyKit context. It includes the classes Auth and
Context.

polkit-qt-gui lets you easily associate GUI items with PolicyKit actions.
By some simple wrapper classes you are able to associate QAction and
QAbstractButton to a PolicyKit action, and get their properties changed
accordingly to PolicyKit result. It includes the classes Action, ActionButton
and ActionButtons

Build dependencies

devel/automoc4 pkgtools/x11-links x11/xorgproto x11/xcb-proto x11/qt4-tools pkgtools/cwrappers x11/qt4-tools devel/glib2-tools devel/cmake devel/pkgconf

Runtime dependencies

devel/glib2 security/polkit x11/qt4-libs x11/qt4-qdbus devel/glib2 security/polkit x11/qt4-libs x11/qt4-qdbus

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpolkit-qt-0.112.0nb4.tgz
NetBSD 8.0i386polkit-qt-0.112.0nb4.tgz
NetBSD 8.0powerpcpolkit-qt-0.112.0nb4.tgz
NetBSD 8.0x86_64polkit-qt-0.112.0nb5.tgz
NetBSD 8.0x86_64polkit-qt-0.112.0nb4.tgz
NetBSD 8.0x86_64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0aarch64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0aarch64polkit-qt-0.112.0nb4.tgz
NetBSD 9.0aarch64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0alphapolkit-qt-0.112.0nb4.tgz
NetBSD 9.0earmv7hfpolkit-qt-0.112.0nb4.tgz
NetBSD 9.0i386polkit-qt-0.112.0nb4.tgz
NetBSD 9.0i386polkit-qt-0.112.0nb5.tgz
NetBSD 9.0i386polkit-qt-0.112.0nb5.tgz
NetBSD 9.0powerpcpolkit-qt-0.112.0nb5.tgz
NetBSD 9.0sparc64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0sparc64polkit-qt-0.112.0nb3.tgz
NetBSD 9.0sparc64polkit-qt-0.112.0nb4.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb4.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb4.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb5.tgz
NetBSD 9.0x86_64polkit-qt-0.112.0nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.